Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.filter.flow
Class TraceEventRecords2ExecutionAndMessageTraceFilter

    java.lang.Object
      kieker.analysis.analysisComponent.AbstractAnalysisComponent
          kieker.analysis.plugin.AbstractPlugin
              kieker.analysis.plugin.filter.AbstractFilterPlugin
                  kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
                      kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
                          kieker.tools.traceAnalysis.filter.flow.TraceEventRecords2ExecutionAndMessageTraceFilter

All Implemented Interfaces:
  IAnalysisComponent, IFilterPlugin, IPlugin

    public class TraceEventRecords2ExecutionAndMessageTraceFilter

extends AbstractTraceProcessingFilter

Since:
  1.6
Author:
  Andre van Hoorn, Holger Knoche, Jan Waller

Nested Class Summary

Nested classes/interfaces inherited from interface kieker.analysis.plugin.IPlugin
`IPlugin.PluginInputPortReference, IPlugin.STATE`

Field Summary
`static String` | `CONFIG_ENHANCE_CALL_DETECTION`
`static String` | `CONFIG_ENHANCE_JAVA_CONSTRUCTORS`
`static String` | `CONFIG_IGNORE_ASSUMED`
`static String` | `INPUT_PORT_NAME_EVENT_TRACE` This is the name of the input port receiving new trace events.
`static String` | `OUTPUT_PORT_NAME_EXECUTION_TRACE` This is the name of the output port delivering the execution traces.
`static String` | `OUTPUT_PORT_NAME_INVALID_EXECUTION_TRACE` This is the name of the output port delivering invalid traces.
`static String` | `OUTPUT_PORT_NAME_MESSAGE_TRACE` This is the name of the output port delivering the message traces.

Fields inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`CONFIG_PROPERTY_VALUE_VERBOSE, REPOSITORY_PORT_NAME_SYSTEM_MODEL`

Fields inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`CONFIG_NAME`

Constructor Summary
`TraceEventRecords2ExecutionAndMessageTraceFilter(Configuration configuration, IProjectContext projectContext)` Creates a new instance of this class using the given parameters.

Method Summary
`Configuration` | `getCurrentConfiguration()` This method should deliver a `Configuration` object containing the current configuration of this instance.
`void` | `inputTraceEvents(TraceEventRecords traceEventRecords)` This method represents the input port, processing incoming trace event records.

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceProcessingFilter
`getErrorCount, getLastTraceIdError, getLastTraceIdSuccess, getSuccessCount, getTotalCount, printStatusMessage`

Methods inherited from class kieker.tools.traceAnalysis.filter.AbstractTraceAnalysisFilter
`createExecutionByEntityNames, createExecutionByEntityNames, getSystemEntityFactory`

Methods inherited from class kieker.analysis.plugin.filter.AbstractFilterPlugin
`init, terminate`

Methods inherited from class kieker.analysis.plugin.AbstractPlugin
`areAllRepositoryPortsConnected, connect, connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getIncomingPlugins, getPluginDescription, getPluginName, getState, isConnectionAllowed, shutdown, start`

Methods inherited from class kieker.analysis.analysisComponent.AbstractAnalysisComponent
`getName`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface kieker.analysis.plugin.IPlugin
`connect, getAllDisplayNames, getAllInputPortNames, getAllOutputPortNames, getAllRepositoryPortNames, getConnectedPlugins, getCurrentRepositories, getName, getPluginDescription, getPluginName, getState`

Field Detail

### INPUT_PORT_NAME_EVENT_TRACE

    public static final String INPUT_PORT_NAME_EVENT_TRACE

  This is the name of the input port receiving new trace events.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_EXECUTION_TRACE

    public static final String OUTPUT_PORT_NAME_EXECUTION_TRACE

  This is the name of the output port delivering the execution traces.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_MESSAGE_TRACE

    public static final String OUTPUT_PORT_NAME_MESSAGE_TRACE

  This is the name of the output port delivering the message traces.

  See Also:
    Constant Field Values

### OUTPUT_PORT_NAME_INVALID_EXECUTION_TRACE

    public static final String OUTPUT_PORT_NAME_INVALID_EXECUTION_TRACE

  This is the name of the output port delivering invalid traces.

  See Also:
    Constant Field Values

### CONFIG_IGNORE_ASSUMED

    public static final String CONFIG_IGNORE_ASSUMED

See Also:
  Constant Field Values

### CONFIG_ENHANCE_JAVA_CONSTRUCTORS

    public static final String CONFIG_ENHANCE_JAVA_CONSTRUCTORS

See Also:
  Constant Field Values

### CONFIG_ENHANCE_CALL_DETECTION

    public static final String CONFIG_ENHANCE_CALL_DETECTION

See Also:
  Constant Field Values

Constructor Detail

### TraceEventRecords2ExecutionAndMessageTraceFilter

    public TraceEventRecords2ExecutionAndMessageTraceFilter(Configuration configuration,
                                                            IProjectContext projectContext)

  Creates a new instance of this class using the given parameters.

  Parameters:
    `configuration` - The configuration for this component.
    `projectContext` - The project context for this component.

Method Detail

### getCurrentConfiguration

    public Configuration getCurrentConfiguration()

  This method should deliver a `Configuration` object containing the current configuration of this instance. In other words: The constructor should be able to use the given object to initialize a new instance of this class with the same intern properties.

  Specified by:
    `getCurrentConfiguration` in interface `IAnalysisComponent`
  Specified by:
    `getCurrentConfiguration` in interface `IPlugin`
  Overrides:
    `getCurrentConfiguration` in class `AbstractTraceAnalysisFilter`
  Returns:
    A completely filled configuration object.

### inputTraceEvents

    public void inputTraceEvents(TraceEventRecords traceEventRecords)

  This method represents the input port, processing incoming trace event records.

  Parameters:
    `traceEventRecords` - The next trace event record.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net